import { AggregationTemporality, ResourceMetrics } from '@opentelemetry/sdk-metrics-base';
import { otlpTypes } from '@opentelemetry/exporter-trace-otlp-http';
import { OTLPMetricExporterOptions } from '../../OTLPMetricExporterOptions';
import { OTLPMetricExporterBase } from '../../OTLPMetricExporterBase';
import { OTLPExporterBrowserBase, OTLPExporterConfigBase } from '@opentelemetry/otlp-exporter-base';
declare class OTLPExporterBrowserProxy extends OTLPExporterBrowserBase<ResourceMetrics, otlpTypes.opentelemetryProto.collector.metrics.v1.ExportMetricsServiceRequest> {
    protected readonly _aggregationTemporality: AggregationTemporality;
    constructor(config?: OTLPMetricExporterOptions & OTLPExporterConfigBase);
    getDefaultUrl(config: OTLPExporterConfigBase): string;
    convert(metrics: ResourceMetrics[]): otlpTypes.opentelemetryProto.collector.metrics.v1.ExportMetricsServiceRequest;
}
/**
 * Collector Metric Exporter for Web
 */
export declare class OTLPMetricExporter extends OTLPMetricExporterBase<OTLPExporterBrowserProxy> {
    constructor(config?: OTLPExporterConfigBase & OTLPMetricExporterOptions);
}
export {};
//# sourceMappingURL=OTLPMetricExporter.d.ts.map