import { ResourceMetrics, AggregationTemporality } from '@opentelemetry/sdk-metrics-base';
import { otlpTypes } from '@opentelemetry/exporter-trace-otlp-http';
import { OTLPMetricExporterOptions } from '../../OTLPMetricExporterOptions';
import { OTLPMetricExporterBase } from '../../OTLPMetricExporterBase';
import { OTLPExporterNodeBase, OTLPExporterNodeConfigBase } from '@opentelemetry/otlp-exporter-base';
declare class OTLPExporterNodeProxy extends OTLPExporterNodeBase<ResourceMetrics, otlpTypes.opentelemetryProto.collector.metrics.v1.ExportMetricsServiceRequest> {
    protected readonly _aggregationTemporality: AggregationTemporality;
    constructor(config?: OTLPExporterNodeConfigBase & OTLPMetricExporterOptions);
    convert(metrics: ResourceMetrics[]): otlpTypes.opentelemetryProto.collector.metrics.v1.ExportMetricsServiceRequest;
    getDefaultUrl(config: OTLPExporterNodeConfigBase): string;
}
/**
 * Collector Metric Exporter for Node
 */
export declare class OTLPMetricExporter extends OTLPMetricExporterBase<OTLPExporterNodeProxy> {
    constructor(config?: OTLPExporterNodeConfigBase & OTLPMetricExporterOptions);
}
export {};
//# sourceMappingURL=OTLPMetricExporter.d.ts.map