import { ExportResult } from '@opentelemetry/core';
import { AggregationTemporality, PushMetricExporter, ResourceMetrics } from '@opentelemetry/sdk-metrics-base';
import { otlpTypes } from '@opentelemetry/exporter-trace-otlp-http';
import { OTLPMetricExporterOptions } from './OTLPMetricExporterOptions';
import { OTLPExporterBase } from '@opentelemetry/otlp-exporter-base';
export declare class OTLPMetricExporterBase<T extends OTLPExporterBase<OTLPMetricExporterOptions, ResourceMetrics, otlpTypes.opentelemetryProto.collector.metrics.v1.ExportMetricsServiceRequest>> implements PushMetricExporter {
    _otlpExporter: T;
    protected _preferredAggregationTemporality: AggregationTemporality;
    constructor(exporter: T, config?: OTLPMetricExporterOptions);
    export(metrics: ResourceMetrics, resultCallback: (result: ExportResult) => void): void;
    shutdown(): Promise<void>;
    forceFlush(): Promise<void>;
    getPreferredAggregationTemporality(): AggregationTemporality;
}
//# sourceMappingURL=OTLPMetricExporterBase.d.ts.map